Appearance
Deployments
Deployments: status, build and runtime logs, redeploy, rollback.
Base URL: https://api.fjordrun.com. Generated from the OpenAPI document (API version 0.1.0).
Get deployment
GET /api/v1/deployments/{did}
Authentication: a team API token or personal access token.
Parameters
| Name | In | Type | Required | Description |
|---|---|---|---|---|
did | path | string (UUID) | yes |
Response
200: a Deployment object.
Example
bash
curl "https://api.fjordrun.com/api/v1/deployments/$DEPLOYMENT_ID" \
-H "Authorization: Bearer $FJORDRUN_TOKEN"Redeploy
POST /api/v1/deployments/{did}/redeploy
Authentication: a team API token or personal access token.
Parameters
| Name | In | Type | Required | Description |
|---|---|---|---|---|
did | path | string (UUID) | yes |
Response
200: a Deployment object.
Example
bash
curl -X POST "https://api.fjordrun.com/api/v1/deployments/$DEPLOYMENT_ID/redeploy" \
-H "Authorization: Bearer $FJORDRUN_TOKEN"Roll back to a deployment
POST /api/v1/deployments/{did}/rollback
Authentication: a team API token or personal access token.
Parameters
| Name | In | Type | Required | Description |
|---|---|---|---|---|
did | path | string (UUID) | yes |
Response
200: a Deployment object.
Example
bash
curl -X POST "https://api.fjordrun.com/api/v1/deployments/$DEPLOYMENT_ID/rollback" \
-H "Authorization: Bearer $FJORDRUN_TOKEN"Cancel a deployment
POST /api/v1/deployments/{did}/cancel
Authentication: a team API token or personal access token.
Parameters
| Name | In | Type | Required | Description |
|---|---|---|---|---|
did | path | string (UUID) | yes |
Response
200: a Deployment object.
Example
bash
curl -X POST "https://api.fjordrun.com/api/v1/deployments/$DEPLOYMENT_ID/cancel" \
-H "Authorization: Bearer $FJORDRUN_TOKEN"Remove a deployment
POST /api/v1/deployments/{did}/remove
Authentication: a team API token or personal access token.
Parameters
| Name | In | Type | Required | Description |
|---|---|---|---|---|
did | path | string (UUID) | yes |
Response
200: a Deployment object.
Example
bash
curl -X POST "https://api.fjordrun.com/api/v1/deployments/$DEPLOYMENT_ID/remove" \
-H "Authorization: Bearer $FJORDRUN_TOKEN"Deployment logs
GET /api/v1/deployments/{did}/logs
Authentication: a team API token or personal access token.
Parameters
| Name | In | Type | Required | Description |
|---|---|---|---|---|
did | path | string (UUID) | yes | |
type | query | "build", "deploy" | no | default "deploy" |
search | query | string | no | can be null |
limit | query | integer | no | min 1, max 5000, default 500 |
Response
200: a list of Log line objects.
Example
bash
curl "https://api.fjordrun.com/api/v1/deployments/$DEPLOYMENT_ID/logs" \
-H "Authorization: Bearer $FJORDRUN_TOKEN"Stream deployment logs
GET /api/v1/deployments/{did}/logs/stream
Authentication: a team API token or personal access token.
Response: a stream of Server-Sent Events. Browsers cannot set headers on an EventSource, so the token may also be passed as the token query parameter.
Parameters
| Name | In | Type | Required | Description |
|---|---|---|---|---|
did | path | string (UUID) | yes | |
type | query | "build", "deploy" | no | default "deploy" |
token | query | string | no | can be null |
Response
200: JSON.
Example
bash
curl "https://api.fjordrun.com/api/v1/deployments/$DEPLOYMENT_ID/logs/stream" \
-H "Authorization: Bearer $FJORDRUN_TOKEN"